Subject: Netscape still crashes
From: [email-masked] (SK)
Date: 13 Aug 1996 05:04:10 GMT
Newsgroups: comp.os.linux.misc

Java worked fine with libc 5.2.18 at least under Netscape b5,
but now b7 crashes regardless of the version of libc.

what's the deal?!?!?

Sang Kang
--
California, n.:
	From Latin "calor", meaning "heat" (as in English "calorie" or
Spanish "caliente"); and "fornia" from "sexual intercourse" or
"fornication."  Hence: Tierra de California, "the land of hot sex."
		-- Ed Moran

From: [email-masked] (George Bonser)
Newsgroups: comp.os.linux.misc
Subject: Re: Netscape still crashes
Date: Tue, 13 Aug 1996 08:46:40 GMT

Use the b6 java_30 file. The b7 file is deliberately sabotaged to kill
Netscape upon starting any Java applet due to a dispute between
Netscape and Sun. At this moment Netscape no longer offers Java
support for Linux Netscape browsers.

I discovered that the old java_30 offers you a work-around.

-- 
George Bonser -- [email-masked]
A governemt big enough to give you everything you want is also big enough 
to take everything you have. --G.R. Ford, President, USA

From: Miguel de Icaza <[email-masked]>
Newsgroups: comp.os.linux.misc,comp.os.linux.development.apps
Subject: Re: netscape java broken [FIX]
Date: 15 Aug 1996 21:48:42 -0500
Organization: Universidad Nacional Autonoma de Mexico

> : Has anyone been able to get Netscape 3.0 to run Java apps under Linux?
> : I'm running Linux 2.0.11 and I tried Netscape 3.0Beta5 and Beta6 with	
> : no luck. Java apps simply do not run in Netscape. On the other hand,	
> : I can run Java apps using the appletviewer that comes with the Sun	
> : JDK under Linux.							
> 									  
> : If anyone has had more luck than me could you please post or email	
> : the specifics? 							
> 									  
> 	  On my system netscape crashes almost every time I load a page with java. 
> I'm using linux 2.0.11 with libc 5.4.4.  I do NOT want do downgrade anything
> since the only app with problems is netscape.  It gives me bus
> errors.  

Karl Asha found the problem.  Netscape 3.0 does not work with recent
versions of libc.  You have to use libc 5.0.9 and Netscape won't crash
when you load Java applets.

Karl recommends that you create a directory to hold libc 5.0.9 and
start up netscape with the LD_LIBRARY_PATH pointing to this special
directory.

On my system I have placed libc 5.0.9 in the /lib/509 directory (ie, I
did not touch the original libc) and I use the following shell
function to run netscape:

netscape ()
{
   LD_LIBRARY_PATH=/lib/509:$LD_LIBRARY_PATH /usr/local/bin/netscape
}

This will force Netscape to use libc 5.0.9 instead of your newer
libc.  It looks like netscape is using Caldera to developer their
program and have not upgraded their libraries to the new ones.

Best wishes,
Miguel.
-- 
[email-masked]     
The GNU Midnight Commander: http://www.linux.org/mc
Linux/SPARC project:        http://www.geog.ubc.ca/sparclinux.html 

From: [email-masked] (Shankar Unni)
Newsgroups: comp.os.linux.misc,comp.os.linux.development.apps
Subject: Re: netscape java broken [FIX]
Date: 16 Aug 1996 20:13:58 GMT
Organization: Chromatic Research, Sunnyvale, CA

Miguel de Icaza ([email-masked]) wrote:

> Karl Asha found the problem.  Netscape 3.0 does not work with recent
> versions of libc.  You have to use libc 5.0.9 and Netscape won't crash
> when you load Java applets.

No dice. This may be a fix for the "netscape crashes" bug, but not for the
"java applet never starts up" problem. I've tried with libc 5.0.9, 5.3.12
and 5.2.18, and they all fail the same way: the java applet never actually
starts up.

I've run "strace" and verified that not only is the java_30 file being opened,
but a whole bunch of classes are being loaded. Towards the end of the trace,
I see all the exception classes being loaded, so I suspect some sort of java
exception occurs on startup.
-- 
Shankar Unni                                  [email-masked]
Chromatic Research                            (408) 752-9488